<?
    
    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if(!$user) {
  //$_SESSION['light']="Закрыто на доработку.";
  header('location: /');
    
exit;

}


    $title = 'Поход';    

include './system/h.php';

  $farm = mysql_query('SELECT * FROM `farm` WHERE `user` = "'.$user['id'].'"');  
  $farm = mysql_fetch_array($farm);
  
  if(!$farm) {
  
    mysql_query('INSERT INTO `farm` (`user`) VALUES ("'.$user['id'].'")');
  
  }
$loca = array("Поляна мертвецов","Сожженные луга","Брошеная гавань","Крепость Тамлиеров","Крепость Госпитальеров","Домик Отшельника");
$localvl=array("1","5","10","15","20","25","35");
$locainfo=array("На этой поляне только гнилые зомби и много их ценностей.",
                "Драконы превратили эту поляну в нечто.",
                "Когда-то тут была известная пиратская гавань но потом он в один миг исчезла.",
                "Ходят слухи что тут можно их сокровища, главное поискать.",
                "Никогда! Ни за какие деньги не бери тут сундук!",
                "Вроде и спокойное место, но на первый взгляд."
                  );
$locdanger=array("Низкий","Ниже среднего","Средний","Ниже высокого","Высокий","Не реально");

  switch ($farm['enemy']) {
   case '1';
   $name="Гниющий зомби";
   $str=40;
   $agi=40;
   $def=40;
   $nexp=50;
   break;
     case '2';
   $name="Иссушенный ужас";
   $str=44;
   $agi=55;
   $def=71;
   $nexp=58;
   break;
   case '3';
   $name="Обезглавленный матрос";
   $str=140;
   $agi=400;
   $def=160;
   $nexp=150;
   break;
   case '4';
   $name="Кракен";
   $str=850;
   $agi=240;
   $def=40;
   $nexp=750;
   break;
   case '5';
   $name="Дух рыцаря";
   $str=450;
   $agi=450;
   $def=450;
   $nexp=500;
   break;
     case '6';
   $name="Феодал";
   $str=790;
   $agi=400;
   $def=1400;
   $nexp=850;
   break;
     case '7';
   $name="Демонопоклонник";
   $str=1000;
   $agi=990;
   $def=40;
   $nexp=1250;
   break;
     case '8';
   $name="Чернокнижник";
   $str=140;
   $agi=4000;
   $def=400;
   $nexp=1500;
   break;
     case '9';
   $name="Отшельник";
   $str=5500;
   $agi=5500;
   $def=5500;
   $nexp=2500;
   break;
  }

if($farm['time']<time() && $farm['win']=='1'){
////Спуск в метро как бэ
  if(isset($_GET['go'])){
    $go=abs(intval($_GET['go']));
    if($user['level']<$localvl[$go]){
      $_SESSION['light']="Ваш уровень слишком низок для данного похода!";
      header("location:/farm/");
      exit;
    }
    $_SESSION['light']="Вы отправились в поход.";
      if($go==0){
        mysql_query("UPDATE `farm` SET `location`='0', `win`='2',`time`='".(time()+3600)."',`enemy`='".(rand(1,2))."' WHERE `user`='".$user['id']."'");
        header("location:/farm/");
        exit;
      }elseif ($go==1) {
        mysql_query("UPDATE `farm` SET `location`='1', `win`='2',`time`='".(time()+3600*2)."',`enemy`='".(rand(3,4))."' WHERE `user`='".$user['id']."'");
        header("location:/farm/");
        exit;
      }elseif ($go==2) {
        mysql_query("UPDATE `farm` SET `location`='2' ,`win`='2',`time`='".(time()+3600*3)."',`enemy`='".(rand(5,6))."' WHERE `user`='".$user['id']."'");
        header("location:/farm/");
        exit;
      }elseif ($go==3) {
        mysql_query("UPDATE `farm` SET `location`='3', `win`='2',`time`='".(time()+3600*4)."',`enemy`='7' WHERE `user`='".$user['id']."'");
        header("location:/farm/");
        exit;
      }elseif ($go==4) {
        mysql_query("UPDATE `farm` SET `location`='4',`win`='2',`time`='".(time()+3600*5)."',`enemy`='8' WHERE `user`='".$user['id']."'");
        header("location:/farm/");
        exit;
      }elseif ($go==5) {
        mysql_query("UPDATE `farm` SET `location`='5',`win`='2',`time`='".(time()+3600*6)."',`enemy`='9' WHERE `user`='".$user['id']."'");
        header("location:/farm/");
        exit;
      }


  }

  for ($i=0;$i<6;$i++){
    $tm=$i+1;
  ?>
    <div class='content'>
      <center>
        <?=$loca[$i];?><br/>
        <img src='/images/town/farm.png'/>
      </center>
      <br/>
      Время похода: <?=$tm;?> часов
      <br/>
      <center>
        <i><?=$locainfo[$i];?></i>
      </center>
      Доступно с уровня: <?=$localvl[$i];?><br/>
       <center>
       </div>
       <div class='menu'/>
       <center>
        <br/>
      <?  
      if($localvl[$i]>$user['level']){
        ?>
        <a class='button' href='?'><span class='grey'>Отправиться в поход</grey></a>
        <?
      }else{

      ?>
      <a class='button' href='?go=<?=$i;?>'>Отправиться в поход</a>
      <?
      }
      ?>
      </center>
      <br/>
      <center>
        <span class='dred'>Уровень опасности:</span> <?=$locdanger[$i];?><br/>
      </center>
    </div>
    <div class='line'/></div>



  <?
  }
}elseif ($farm['time']>=time() && $farm['win']=='2') {


  if(isset($_GET['fight'])){
    $dmg +=round(rand(($user['str']/6),($user['str']/4)));
    $dmg -= round(rand(($def/12),($def/7)));
    $enemy +=round(rand(($str/6),($str/4)));
    $enemy -= round(rand(($user['def']/12),($user['def']/7)));
    $opponent_crit = ( (rand(1,2) * ($agi / 100) ) - (rand(1,2) * ($user['agi'] / 100)));
    if(mt_rand(0, 100) <= $opponent_crit) {
        $enemy *= 2;
    }
    $crit = ( (rand(1,2) * ($user['agi'] / 100) ) - (rand(1,2) * ($agi / 100)));
    if(mt_rand(0, 100) <= $crit) {
      $dmg *= 2;
    }
    if($dmg<0){
      $dmg=0;
    }
    if($enemy<0){
      $enemy=0;
    }



    //$text=" ";
    if($dmg>$enemy){
      mysql_query("UPDATE `farm` SET `win`='3' WHERE `user`='".$user['id']."'");
      $_SESSION['light']="Вы нанесли  <span class='green'> $dmg урона</span><Br/> Враг нанес <span class='dred'> $enemy урона</span>";
    }elseif ($dmg<$enemy) {
      mysql_query("UPDATE `farm` SET `win`='1',`time`='0' WHERE `user`='".$user['id']."'");
      $_SESSION['light']="Вы проиграли этот бой! Вы нанесли  $dmg  урона получив в ответ  $enemy урона";
    }
    mysql_query("UPDATE `users` SET `hp`='".($user['hp']-$enemy)."' WHERE `id`='".$user['id']."'");
    header("location:/farm/");
    exit;
  }

  if(isset($_GET['escape'])){
    mysql_query("UPDATE `farm` SET `win`='1',`time`='0' WHERE `user`='".$user['id']."'");
    $_SESSION['light']="Вы убежали с похода!";
    header("location:/farm/");
    exit;
  }
  
  ?>
    <div class='content'/>
    <center>
      <img src='/images/town/farm.png'/><br/>
      Вы отправились в : <?=$loca[$farm['location']];?>
      <br/>
      Для того чтоб продолжить обыски <?=$loca[$farm['location']];?> победите врага.
      <br/>
      <span class='dred'/>
      <?=$name;?>
    </span>
    <br/>
    <img src='/images/icon/str.png'/> Сила: <?=$str;?><br/>
    <img src='/images/icon/agi.png'/> Удача: <?=$agi;?><br/>
    <img src='/images/icon/def.png'/> Защита: <?=$def;?><br/>
    <img src='/images/icon/exp.png'/> Опыт: <?=$nexp;?><br/>
    </center>
    </div>
    <div class='line'/></div>
    <div class='content'/>
    <a class='button' href='?fight'>В бой!</a>
    <a class='button' href='?escape'>Убежать</a>
    </div>

  <?
}elseif($farm['time']>time() OR $farm['time']<time() && $farm['win']=='3'){
  $_h=($farm['time']-time())/3600%60;
  $_m=($farm['time']-time())/60%60;
  $_s=($farm['time']-time())%60;
  if($farm['time']>time()){

    ?>
      <div class='content'/>
      <center>
        <img src='/images/town/farm.png'/><br/>
      </center>
    </div>
    <?
    if(isset($_GET['speed'])){
      if($user['s']>=5000){
        mysql_query("UPDATE `farm` SET `time`='".($farm['time']-3600)."' WHERE `user`='".$user['id']."'");
        mysql_query("UPDATE `users` SET `s`='".($user['s']-5000)."' WHERE `id`='".$user['id']."'");
        $_SESSION['light']="Вы ускорили время похода на 1 час.";
        header("location:/farm/");
        exit;
      }elseif($user['s']<5000){
        $_SESSION['light']="Не хватает серебра.";
        header("location:/farm/");
        exit;
      }
    }
    ?>
      
    <div class='line'></div>
    <div class='content'/>
    <center>
      До конца обыска <?=$_h;?> часов  <?=$_m;?> минут  <?=$_s;?> секунд.
    </center>
  </div>
  <div class='content'/>
  <center>
 <a class='button' href='?speed'>Ускорить за  5000 <img src="/images/icon/silver.png"></a>
  </center>
</div>

    <?
    }elseif($farm['time']<time() && $farm['win']==3){
        $_g=round($farm['enemy']+$farm['location']/2);
        $_s=$farm['enemy']*$farm['location']*$farm['win']*$user['level']*3;
        $_exp=round($nexp+($farm['location']*3)+$farm['enemy']/2);
      if(isset($_GET['reward'])){
        mysql_query("UPDATE `farm` SET `time`='0',`win`='1' WHERE `user`='".$user['id']."'");
        mysql_query("UPDATE `users` SET `g`='".($user['g']+$_g)."',`s`='".($user['s']+$_s)."',`exp`='".($user['exp']+$_exp)."' WHERE `id`='".$user['id']."'");
        $_SESSION['light']="Награда получена!";
        header("location:/farm/");
        exit;
      }
      ?>  
      <div class='content'/>
      <center>
        <img src='/images/town/farm.png'/><br/>
        Поход завершен!
      </center>
    </div>
       <div class='line'></div>
         <div class='content'/>
    <center>
      <a class='button' href='?reward'>Забрать награду.</a>
    </center>
  </div>
  <div class='line'/>
</div>
<div class='title'/>
<center>

Награда
</center>
</div>
<div class='content'/>
<img src='/images/icon/gold.png'/> <?=$_g;?><br/>
<img src='/images/icon/silver.png'/> <?=$_s;?><br/>
<img src='/images/icon/exp.png'/> <?=$_exp;?><br/>

</div>


      <?
    }
}
  
include './system/f.php';

?>